<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-app.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-auth.js"></script>
    <script defer src="https://www.gstatic.com/firebasejs/7.2.3/firebase-storage.js"></script>
    <script defer src="app.js"></script>
    <link rel="stylesheet" href="app.css">
    <title>Firebase Storage</title>
</head>
<body>
    <header>
        <div class="unauth visible">
            <button id="signIn">Sign-In via Google</button>
        </div>
        <div class="auth hidden">
            Logged in as <span id="userName"></span>
            <button id="signOut">Sign-Out</button>
        </div>
    </header>

    <div class="upload">
        <input type="file" id="uploadImage" />
        <progress max="100" value="0" ></progress>
    </div>
    <div class="oneImage"> </div>

    <button id="listImages"> List Images </button> 
    <div class="images"></div>

</body>
</html>
